<?php
	$p_meta_set = get_post_meta($post->ID, '_portfolio_settings', true);
	$page_layout = $p_meta_set['layout']; ?>
    
    <div class="portfolio-single-fullwidth">
        <div class="portfolio-thumb full-width">
            <div class="portfolio-slider-container">
                <ul class="portfolio-slider"><?php
                    //GETTING PORTFOLIO VALUES...
                    global $wp_embed;
                    $fullimg = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'portfolio-single-full', false);
                    
                    if($fullimg[0] != "")
                        echo "<li><img src='".$fullimg[0]."' alt='".get_the_title()."' /></li>";
                    else
                        echo "<li><img src='http://placehold.it/940X470.jpg&text=".get_the_title()."' title='".get_the_title()."'></li>";
                        
                    if(isset($p_meta_set['items']) != ""):
						foreach($p_meta_set['items'] as $key => $item):
                        echo "<li>";
                            if($p_meta_set ['items_name'] [$key] != 'video')
								echo "<img src='".$item."' title='".$p_meta_set ['items_name'] [$key]."'>";
                            else
                                echo $wp_embed->run_shortcode("[embed width='940' height='470']".$item."[/embed]");
                        echo "</li>";
                    	endforeach;
					endif; ?>
                </ul>
                <div class="portfolio-arrows">
					<a class="prev icon-angle-left" href="#"></a>
					<a class="next icon-angle-right" href="#"></a>
				</div>
            </div>
        </div>
        <div class="column dt-sc-two-third first"><?php
			global $dt_allowed_html_tags;
			the_content();
			wp_link_pages(array('before' => '<div class="page-link"><strong>'.__('Pages:', 'dt_themes').'</strong> ', 'after' => '</div>', 'next_or_number' => 'number'));
			edit_post_link(__('Edit', 'dt_themes'), '<span class="edit-link">', '</span>' ); ?>
        </div>
        <div class="column dt-sc-one-third">
            <div class="content-box">
                <h4><?php _e('Project Details', 'dt_themes'); ?></h4>
                <ul class="project-details">
                    <?php if(isset($p_meta_set['client'])): ?><li><span><?php _e('Client: ', 'dt_themes'); ?></span><?php echo wp_kses($p_meta_set['client'], $dt_allowed_html_tags); ?></li><?php endif; ?>
                    <?php if(isset($p_meta_set['location'])): ?><li><span><?php _e('Location: ', 'dt_themes'); ?></span><?php echo wp_kses($p_meta_set['location'], $dt_allowed_html_tags); ?></li><?php endif; ?>
                    <li><span><?php _e('Posted On: ', 'dt_themes'); ?></span><?php echo get_the_date('d')." ".get_the_date('M')." ".get_the_date('Y'); ?></li>
                </ul>
				<?php if(isset($p_meta_set['show-social-share'])): ?><div class="portfolio-share"><?php mytheme_social_bookmarks('sb-portfolio'); ?></div><?php endif; ?>
                <?php if(isset($p_meta_set['url'])): ?><a href="<?php echo wp_kses($p_meta_set['url'], $dt_allowed_html_tags); ?>" class="dt-sc-button medium" target="_blank"><?php _e('View Project', 'dt_themes'); ?></a><?php endif; ?>
            </div>
        </div>
    </div>
    <div class="margin20"></div>
    <?php if(mytheme_option('general', 'disable-portfolio-comment') != true && (isset($p_meta_set['comment']) != "")) { echo '<div class="margin50"></div>'; comments_template('', true); } ?>