<?php get_header();

	while(have_posts()): the_post();

	  //GETTING META VALUES...
	  $meta_set = get_post_meta($post->ID, '_dt_post_settings', true);
	  $page_layout = !empty($meta_set['layout']) ? $meta_set['layout'] : 'content-full-width';

	  $feature_image = "blog-onecol";

	  //PAGE LAYOUT CHECK...
	  if($page_layout != "content-full-width") {
		  $feature_image = $feature_image."-sidebar";
	  } ?>

	  <div class="banner"></div>
      <!-- Page Section Starts here -->
      <section id="post-<?php the_ID(); ?>" <?php post_class('content inner-page'); ?>>
          <div class="main-title">
              <div class="container">
                  <h1><?php the_title(); ?></h1>
              </div>
          </div>
          <div class="content-main">                
              <div class="container">
              
                  <!-- Primary -->
                  <div id="primary" class="<?php echo esc_attr($page_layout); ?>">
                      <div class="blog-post-single"><?php
						  //POST TOP CODE...
						  global $dt_allowed_html_tags;
						  if(mytheme_option('integration', 'enable-single-post-top-code') != '') echo wp_kses(stripslashes(mytheme_option('integration', 'single-post-top-code')), $dt_allowed_html_tags); ?>
                          
                          <header class="post-meta<?php if(is_sticky()) echo " sticky"; ?>"><?php
						  	  if(isset($meta_set['disable-date-info']) == ""): ?>
                                  <div class="date">
                                      <span class="day"><?php echo get_the_date('d'); ?></span>
                                      <span class="date-group"><?php echo get_the_date('M'); ?><br><?php echo get_the_date('Y'); ?></span>
                                  </div><?php
							  endif;
							  if(isset($meta_set['disable-comment-info']) == ""):
			                      comments_popup_link('<span class="icon-comment"><span>0</span></span><span class="icon-cmdtxt">comments</span>','<span class="icon-comment"><span>1</span></span><span class="icon-cmdtxt">comment</span>','<span class="icon-comment"><span>%</span></span><span class="icon-cmdtxt">comments</span>', 'comments', '<span class="icon-cmdtxt">comments off</span>'); 
							  endif;
							  //POST FORMAT...
							  $format = get_post_format();
							  $pholder = mytheme_option('general', 'disable-placeholder-images'); ?>
							  <div class="post-format"><span class="post-icon-format"> </span></div>
                          </header>
						  
                          <div class="post-thumb">
                              <!-- POST FORMAT STARTS -->
                              <?php if( $format === "image" || empty($format) ):
									  if( has_post_thumbnail() && isset($meta_set['disable-featured-image']) != 'true' ): ?>
										  <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><?php
											  $attr = array('title' => get_the_title()); the_post_thumbnail($feature_image, $attr); ?>
										  </a><?php
									  elseif($pholder != "true" && isset($meta_set['disable-featured-image']) != 'true' ): ?>
										  <a href="<?php the_permalink();?>" title="<?php the_title(); ?>">
											  <img src="http://placehold.it/940x425&text=<?php the_title(); ?>" alt="<?php the_title(); ?>" />
										  </a><?php
									  endif;
                              		elseif( $format === "gallery" ):
                                      $post_meta = get_post_meta(get_the_id() ,'_dt_post_settings', true);
									  $post_meta = is_array($post_meta) ? $post_meta : array();
                                      if( array_key_exists("items", $post_meta) ):
                                          echo "<ul class='entry-gallery-post-slider'>";
                                          foreach ( $post_meta['items'] as $item ) { echo "<li><img src='{$item}' alt='gal-img' /></li>";	}
                                          echo "</ul>";
                                      endif;
                                    elseif( $format === "video" ):
                                          $post_meta =  get_post_meta(get_the_id() ,'_dt_post_settings', true);
										  $post_meta = is_array($post_meta) ? $post_meta : array();
                                          if( array_key_exists('oembed-url', $post_meta) || array_key_exists('self-hosted-url', $post_meta) ):
                                              if( array_key_exists('oembed-url', $post_meta) ):
                                                  echo "<div class='dt-video-wrap'>".wp_oembed_get($post_meta['oembed-url']).'</div>';
                                              elseif( array_key_exists('self-hosted-url', $post_meta) ):
                                                  echo "<div class='dt-video-wrap'>".wp_video_shortcode( array('src' => $post_meta['self-hosted-url']) ).'</div>';
                                              endif;
                                          endif;
                                    elseif( $format === "audio" ):
                                          $post_meta =  get_post_meta(get_the_id() ,'_dt_post_settings', true);
										  $post_meta = is_array($post_meta) ? $post_meta : array();
                                          if( array_key_exists('oembed-url', $post_meta) || array_key_exists('self-hosted-url', $post_meta) ):
                                              if( array_key_exists('oembed-url', $post_meta) ):
                                                  echo wp_oembed_get($post_meta['oembed-url']);
                                              elseif( array_key_exists('self-hosted-url', $post_meta) ):
                                                  echo wp_audio_shortcode( array('src' => $post_meta['self-hosted-url']) );
                                              endif;
                                          endif;
                                    else:
									  if( has_post_thumbnail() && isset($meta_set['disable-featured-image']) != 'true' ): ?>
										  <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><?php
											  $attr = array('title' => get_the_title()); the_post_thumbnail($feature_image, $attr); ?>
										  </a><?php
									  elseif($pholder != "true" && isset($meta_set['disable-featured-image']) != 'true' ): ?>
										  <a href="<?php the_permalink();?>" title="<?php the_title(); ?>">
											  <img src="http://placehold.it/940x425&text=<?php the_title(); ?>" alt="<?php the_title(); ?>" />
										  </a><?php
									  endif;
                               		endif; ?>
                              <!-- POST FORMAT ENDS -->
                          </div>
                          
                          <div class="entry-details">
                              <h2><?php the_title(); ?></h2>
                              <div class="entry-meta"><?php
							  
	                              if(isset($meta_set['disable-author-info']) == ""):
								  	  _e('Posted by', 'iamd_text_domain'); ?> : <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php the_author_meta('display_name'); ?></a><?php
								  endif;
								  if(isset($meta_set['disable-category-info']) == "" && count(get_the_category())):
									  _e(' Categories', 'iamd_text_domain'); ?> : <?php the_category(', ');
								  endif;
								  if(isset($meta_set['disable-tag-info']) == ""):
								  	  the_tags(__(' and Tags : ', 'iamd_text_domain'), ', ', '');
								  endif; ?>
                                  
                              </div><?php
							  the_content();
							  wp_link_pages(array('before' => '<div class="page-link"><strong>'.__('Pages:', 'iamd_text_domain').'</strong> ', 'after' => '</div>', 'next_or_number' => 'number'));
							  edit_post_link(__('Edit', 'iamd_text_domain'), '<span class="edit-link">', '</span>' );
							  echo '<div class="social-bookmark">';
							   show_fblike('post'); show_googleplus('post'); show_twitter('post'); show_stumbleupon('post'); show_linkedin('post'); show_delicious('post'); show_pintrest('post'); show_digg('post');
							  echo '</div>';
							  mytheme_social_bookmarks('sb-post');
							  if(mytheme_option('integration', 'enable-single-page-bottom-code') != '') echo wp_kses(stripslashes(mytheme_option('integration', 'single-page-bottom-code')), $dt_allowed_html_tags); ?>
                          </div>
                          
	                      <?php if(mytheme_option('general', 'disable-post-comment') != true && (isset($meta_set['disable-comment']) == "")) comments_template('', true); ?>
                      </div>
                  </div><!-- Primary -->
                  
                  <!-- Secondary -->
				  <?php if($page_layout != 'content-full-width' && $page_layout == 'with-left-sidebar'): ?>
                      <div id="secondary" class="left-sidebar"><?php get_sidebar(); ?></div>
                  <?php elseif($page_layout != 'content-full-width' && $page_layout == 'with-right-sidebar'): ?>    
                      <div id="secondary"><?php get_sidebar(); ?></div>
                  <?php endif; ?><!-- Secondary -->
              
              </div>                                
          </div>
      </section><!-- Page Section Ends here -->
      
	<?php endwhile; ?>      

<?php get_footer(); ?>